import { Elements } from '@byondrnd/byond-web-lib';
import { Visualizer } from '../../../Visualizer';
import { ProductSchema } from '@byondrnd/showroom-schemas';
export declare class LayerDisplay {
    displayedProduct: ProductSchema.IProduct;
    cubeMap: Elements.Backgrounds.CubemapBackgroundImage;
    visualizer: Visualizer;
    maxFaceSize: number;
    constructor(visualizer: Visualizer, cubeMap: Elements.Backgrounds.CubemapBackgroundImage, maxFaceSize: number);
    display(product: ProductSchema.IProduct): Promise<void>;
    changeCubeFaces(urls: Array<string>, cubeMap: Elements.Backgrounds.CubemapBackgroundImage): Promise<void>;
}
